<template lang="pug">
  input.input(
    type='radio'
    :value='value'
    v-model='modelLocal'
  )
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop, PropSync } from 'vue-property-decorator'

@Component
export default class BaseRadio extends Vue {
  @Prop({ required: true }) value: string
  @PropSync('model') modelLocal: string
}
</script>

<style lang="scss" scoped>
@import '../assets/styles/config/variables.scss';

.input {
  position: relative;
  -webkit-appearance: none;
  width: 24px;
  height: 24px;

  top: 7px;
  right: 100px;

  border-radius: 60px;
  border: 2px solid #A3B8CC;

  cursor: pointer;

  &:checked {
    background: $main-orange-color;
  }
}
</style>
